Subject: RE: (ngtrans) Last call on draft-ietf-ngtrans-dns-ops-req-02.txt

From: "Christian Huitema" <[email-masked]>
Date: Fri, 19 Oct 2001 12:45:31 -0700

Why don't we find in this document a discussion of existing solutions,
such as NAT-PT? Obviously, if the IPv6-only DNS resolver has access to a
NAT-PT service, it can learn the IPv4 address of an IPv4 only server and
use the nearest NAT-PT to forward a request to that server. The service
is not perfect, since NAT-PT specifies using an ALG for DNS, whose
consequences clearly need to be discussed, but it can certainly be
deployed immediately.

-- Christian Huitema